﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
 
    public static DataTable dataSource;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            foreach (DataColumn drColumn in GetDataSource().Columns)
            {
                var bField = new BoundDataField(true);
                bField.Key = drColumn.ColumnName;
                bField.Header.Text = drColumn.ColumnName;
                bField.DataFieldName = drColumn.ColumnName;
                m_dictionaryTableGrid.Columns.Add(bField);
            }
            
        }
        
        dataSource = GetDataSource();
        m_dictionaryTableGrid.DataSource = GetDataSource();
        m_dictionaryTableGrid.DataBind();
        m_dictionaryTableGrid.DataKeyFields = "ID";
    }

    protected void m_dictionaryTableGrid_RowsDeleting(object sender, RowDeletingEventArgs e)
    {
        dataSource = GetDataSource();
        dataSource.Rows[e.Row.Index].Delete();
        m_dictionaryTableGrid.Rows.Clear();

        m_dictionaryTableGrid.ClearDataSource();
        m_dictionaryTableGrid.DataSource = dataSource;
        m_dictionaryTableGrid.DataBind();
        m_dictionaryTableGrid.RequestFullAsyncRender();

    }

    public DataTable GetDataSource()
    {
        DataTable dt = new DataTable("Table");
        dt.Columns.Add("ID");
        dt.Columns.Add("Fruit");
        dt.Columns.Add("Quantity");
        dt.Columns.Add("Date");
        dt.Columns.Add("isClickable");
        dt.Columns.Add("Checkbox");

        dt.Columns["Quantity"].DataType = Type.GetType("System.Int32");
        dt.Columns["Date"].DataType = Type.GetType("System.DateTime");
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["ID"];
        dt.PrimaryKey = PrimaryKeyColumns;

        for (var i = 0; i < 20; i += 4)
        {
            dt.Rows.Add(new object[] { i, "Bannana", i, new DateTime(2020, 02, 25), true, true });
            dt.Rows.Add(new object[] { i + 1, "Apple", i + 1, new DateTime(2020, 02, 15), false, false });
            dt.Rows.Add(new object[] { i + 2, "Orange", i + 2, new DateTime(2020, 01, 28), false, false });
            dt.Rows.Add(new object[] { i + 3, "Apple", i + 3, new DateTime(2015, 12, 25), true, true });

        }

        return dt;
    }
}